Un error en la versión 5.19.12 del kernel de Linux puede dañar las pantallas de las computadoras portátiles con GPU Intel

La versión estable del kernel de Linux (5.19.12), que se lanzó el 28 de septiembre de 2022, puede afectar negativamente a las pantallas de las computadoras portátiles con GPU Intel a bordo. Los usuarios informan haber visto extraños destellos blancos, y los desarrolladores advierten que existe la posibilidad de daños irreversibles en la pantalla.

Muchos usuarios se quejan del extraño comportamiento de sus dispositivos, incluidos los propietarios de laptop Framework, que informan problemas con Arch y Fedora después de actualizar el kernel de Linux a la versión 5.19.2. Como se puede ver en el video a continuación, las pantallas de sus dispositivos parpadean con una luz blanca brillante, que las propias víctimas comparan con las luces estroboscópicas de las raves retro.

Jugador

00:00
00:04

Según el ingeniero de Intel y desarrollador del kernel Ville Syrjäl, este error no solo es molesto y no le permite trabajar normalmente, sino que también puede dañar la pantalla del dispositivo. Después de estudiar los registros de los usuarios afectados, el investigador llegó a la conclusión de que el problema está asociado con un controlador de gráficos y un error que causa retrasos no deseados en la fuente de alimentación de la pantalla. Como resultado, Sirjal categóricamente no recomienda el uso de computadoras portátiles con GPU Intel junto con la versión 5.19.12 del kernel de Linux.

De hecho, el problema afecta a todas las computadoras portátiles basadas en Intel donde la pantalla está conectada directamente a los gráficos integrados. Esto significa que el error se aplica a las computadoras portátiles Nvidia Optimus y algunas computadoras portátiles Intel + Radeon, ya que iGP controla la pantalla principal, incluso si la GPU discreta está activa.

Actualmente, Greg Kroah-Hartman, responsable de la rama estable del kernel de Linux, ya ha preparado un parche para este problema, y se ha corregido el bug de la versión del kernel 5.19.13.

«Esta versión está destinada a abordar la regresión en algunos sistemas gráficos Intel que han experimentado problemas con 5.19.12. Si no tiene un problema con 5.19.12, no hay necesidad de una actualización», escribe el desarrollador.

Se recomienda a los usuarios que comprueben los números de versión del kernel antes de actualizar y evitar Linux 5.19.12 si están utilizando computadoras portátiles con procesadores Intel. Para aquellos que ya han sufrido este error, se recomienda no dejar la pantalla en modo intermitente durante mucho tiempo, ya que esto aumenta la probabilidad de daños irreversibles.

Por admin

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *